var alarmModule = require("bencoding.alarmmanager");
var alarmManager = alarmModule.createAlarmManager();
var win = Titanium.UI.createWindow({  
    title:"Tab 1", backgroundColor:"#fff", title:"Alarm Manager Tests",
    exitOnClose: true,
    layout: "vertical"
});

var btn6 = Ti.UI.createButton({
    title:"Schedule service", width: 150, height:75
});
win.add(btn6);
btn6.addEventListener("click",function(e){
    alarmManager.addAlarmService({
        service:"com.appworkbench.alarmtest.TestserviceService", 
        minute:1,
        repeat:60000,
        forceRestart: true
    }); 
    var ew = Ti.UI.createAlertDialog({
        title:"Info", message:"The Service provided will be started in about 1 minute & repeat each minute. Press back button to exit app and watch console...",
        buttonNames:[Ti.Android.currentActivity.getString(Ti.Android.R.string.ok)]
    });
    ew.show();      
});

var btn10 = Ti.UI.createButton({
    title:"Cancel service", width: 150, height:75
});
win.add(btn10);
btn10.addEventListener("click",function(e){
    alarmManager.cancelAlarmService();  
    var ew = Ti.UI.createAlertDialog({
        title:"Info", message:"Your alarm service has been cancelled",
        buttonNames:[Ti.Android.currentActivity.getString(Ti.Android.R.string.ok)]
    });
    ew.show();      
});
win.open();

// Include a file that has require() statement.
// Will work fine on first app launch. But if
// app is exited immediately after starting
// service, then after a service run, if app
// is opened again, this will throw an error 
Ti.include("include.js");